import sys

from PyQt6.QtGui import QFont
from PyQt6.QtWidgets import QApplication, QLineEdit, QWidget


class Window(QWidget):
    def __init__(self) -> None:
        super().__init__()
        self.setGeometry(*(500,) * 4)
        self.setWindowTitle("Окно")

        line_edit = QLineEdit(self)
        line_edit.setFont(QFont("Times", 14))
        line_edit.setPlaceholderText("Enter your password")
        line_edit.setEchoMode(QLineEdit.EchoMode.Password)


def main() -> None:
    app = QApplication(sys.argv)
    window = Window()
    window.show()
    sys.exit(app.exec())


if __name__ == "__main__":
    main()
